
<%= form_with(model:@list) do |form| %>
    <% if list.errors.any? %>
      <div style="color: red">
        <h2><%= pluralize(list.errors.count, "error") %> prohibited this user from being saved:</h2>
  
        <ul>
          <% list.errors.each do |error| %>
            <li><%= error.full_message %></li>
          <% end %>
        </ul>
      </div>
    <% end %>
    
<br/><br/><br/>
    <div class="container-fluid col-4 text-center opacity-75 rounded " style="background-color:white; ">
    <div class="text-center">
      <br/>
       <h3> Create New Task </h3>
    </div>
    
    <div class="text-center">
    <p>
     <%= form.label :task %>
      <%= form.text_field :task %>
    </p>
  
    <p>
     <%= form.label :expiry %>
      <%= form.date_field :expiry %>
    </p>
  
    <p>
      <%= form.label :category %><br>
      <%= form.select(:category, options_for_select([['GroceryList', 'GroceryList'],['Work', 'Work'],['Personal', 'Personal']])) %>
    </p>
  
    <p>
      <%= form.submit 'create Task',:class =>"btn btn-warning" %>
     </p>
     <br/>
    </div>
    </div>
  <% end %>